Zum Ende der Metadaten springen
Zum Anfang der Metadaten

Nicht unterstützt

Die folgende Vorgehensweise ist nicht getestet und daher nicht unterstützt. Sollte es dabei Probleme geben, gibt es dafür keinen Support.


Die Module stehen in Version 0.2.x noch nicht als Systemkomponente zur Verfügung, deswegen müssen die Module mit dem Plugin mitgeliefert werden.

Download der aktuellen Version der Module:

https://github.com/mschlenstedt/Loxberry/tree/master/libs/perllib

Die Module im Plugin-Verzeichnis /webfrontend/cgi/perllib/LoxBerry ablegen. (Schreibweise von LoxBerry beachten!). Nach der Plugin-Installation liegen diese dann unter /opt/loxberry/webfrontend/cgi/<pluginname>/perllib/LoxBerry.

# Dein Perl-cgi liegt unter /webfrontend/cgi
use FindBin;
use lib "$FindBin::Bin/./perllib";
use LoxBerry::System;
use LoxBerry::Web;

# Dein Perlscript liegt unter /webfrontend/cgi/bin
use FindBin;
use lib "$FindBin::Bin/../perllib";
use LoxBerry::System;

Die Pfadangabe von use lib muss vom Speicherort relativ zum perllib-Verzeichnis zeigen.

Danach können in einem Plugin alle LoxBerry-Modulbefehle verwendet werden, und das Plugin läuft dann (was das Template-System betrifft!) auch unter LoxBerry 0.2.3.

  • Keine Stichwörter